Subject: Re: flooding(point of clarification)

From: Nitin H Vaidya <[email-masked]>
Date: Sun, 4 Jun 2000 08:25:09 -0500 (CDT)

Ram: 

  >> From: Ram Ramanathan <[email-masked]>
  ...
  >> 2) when offered_load/data_rate is sufficiently low -- this could happen
  >>    because load is low or as data_rate increases (as is the industry trend)

I agree with the first part of your statement.
With sufficiently low load, the cost of finding/maintaining
routes could be higher than simply flooding a packet,
so flooding could be more effcient.

I am not so sure about the second part of your
argument ... Correct me if I am mistaken, but I guess what you
are saying is that if there is plenty of bandwidth available, the
no harm in using it inefficiently. This may not always make sense.
For instance, what is bandwidth is abundant, but energy
supply isn't ?

Just nitpicking -:)

- nitin

  >> 
  >> It seems like you've missed the example too, so here are some inline
  >> comments.
  >> 
  >> > 
  >> > 
  >> > > For instance, consider a 100 node network of 11 Mbps radios (COTS today).
  >> > > Suppose the only traffic were situational awareness traffic at 3 kbps per
  >> > > node. Assume further that channel access and header overhead etc. reduce the
  >> > > raw data rate of 11 Mbps by a factor of 20 (pessimistically), to yield an
  >> > > effective data rate per node of 550 kbps. Each node then runs comfortably
  >> > > at about 50% utilization. Flooding is an adequate solution.
  >> > 
  >> > 1) If, according to your assumptions, each node runs at about 50% of its
  >> > nominated data rate, don't you think this is a major reason to avoid
  >> > flooding  then?  Do you believe 50% effective utilisations is a good
  >> > performanmce indication for protocol design?
  >> 
  >> Huh? Are you saying that 50% is too much or that it is too little?
  >> 
  >> If you are saying 50% is too much, i.e., people should run a link at less
  >> than this, consider that most ISPs use 50% as a conservative, safe number.
  >> 
  >> If you are saying 50% is too little, you have missed this completely.
  >> I use utilization, informally, as load/capacity. In the example, the node
  >> effective capacity is 550 kbps. The load is 3kbps*100 (since every packet
  >> is sent exactly once (using sequence numbers to purge duplicates) by every
  >> node in the network) or 300 kbps. Thus, the utilization is 54.5%.
  >> 
  >> If you want to run it at a higher utilization, sure, that is fine, it 
  >> supports even higher traffic. For instance, at 90% utilization, it
  >> supports 5 kbps at every node. In other words, if you think I shuld
  >> be saying 90% instead of 50%, just replace 3kbps by 5kbps in the exampel.
  >> 
  >> > 
  >> > 2) Uncontrolled propagation of control messages implies that:
  >> > 
  >> 
  >> What control messages (read above)?!
  >> 
  >> I'll ignore the points a,b,c since it seems like you're talking about 
  >> the benefits of "constrained flooding" of routing control messages - 
  >> a noble thought, but largely irrelevant to the discussion. 
  >> 
  >> > 	a. some areas of the network topology are unecessarily disturbed.
  >> > Hence, even if we accept the 50% effective utilisation for the set of
  >> > nodes that must propagate this control messaging, say during a Route
  >> > Discovery process, for the successful discovery of a route, then,
  >> > however, this 50% is not an acceptable figure for the rest of nodes
  >> > which even if they don't propagate the route discovery signalling, the
  >> > discovery will be successful.  For example, by localising the route
  >> > discovery signalling such that only the nodes between the source and
  >> > destination of the discovery are disturbed, then certainly the rest of
  >> > the network nodes will enjoy much better channel utilisation rates.
  >> > 
  >> > 	b. (adding to a.), in CDMA-based networks where interference levels
  >> > increase as a function of the user activity (and ), the extra control
  >> > messaging will increase user interference. Therefore, system capacity
  >> > will be reduced.
  >> > 
  >> > 	c. the probability of collisions at the channel access layer also
  >> > increases. This in turn implies more retransmissions and the such....
  >> > Which in turn implies more delay on per packet forwarding.
  >> > 
  >> > 
  >> > By any means, your scenario does not show any tradeoffs as what the
  >> 
  >> Didn't say I was showing tradeoffs....
  >> 
  >> > benefits of using flooding would be _compared_ to when floding is not
  >> > used.  
  >> > Therefore, I would say that your conclusion "Flooding is an adequate
  >> > solution" is not true.
  >> 
  >> Of course it is an adequate solution for the particular scenario. Of
  >> course it is not in general.
  >> 
  >> Cheers,
  >> 
  >> -Ram.
  >> 
  >> > 
  >> > 
  >> > Regards,
  >> > George N. A.
  >> > 
  >> 
  >>

---

From: Ram Ramanathan <[email-masked]>
Date: Mon, 05 Jun 2000 11:55:05 -0400

> no harm in using it inefficiently. This may not always make sense.

More precisely, I was saying that for a given set of requirements/constraints 
I'd pick the simplest solution, and that flooding may be the simplest solution
in some cases, e.g, when you need only to support low load and you have high 
bandwidth (capacity). 

> For instance, what is bandwidth is abundant, but energy

Yes, of course, energy may or may not be an issue. This is but one of 
several resource constraints (e.g. buffers may be another) that have to be
met.

-Ram.